% This code provides a guideline for you to write your own blob following
% code

% initialize connection to robot
rob = initializeRobot(ipaddress);

% mean, variance, and standard deviation value of color that is of interest
aveColor = val;
varColor = val;
stdColor = sqrt(varColor);

% desired area of the blob in the image, set your desired value here
targetA = val;

while (1)   % this look will run forever
    % get image from SRV1 camera
    img = get_srv_image();

    % convert image from RGB to YCbCr
    yuvImg = rgb2YCbCr(img);
    
    % extract blob of interest
    [blobArea, centroid] = extract_blob(yuvImg, aveColor, varColor);
    
    % determine whether the blob is offset from the center of the image
    dx = imgXcenter - centroid(1);
    
    % determine whether the blob is too close or too far from the robot
    dArea = targetA - area;
    
    % computes right and left motor commands based on dx and dArea
    [mR, mL] = controller(dx, dArea);
    
    % sends drive command for the robot
    sendDriveCommand(rob, [mR, mL, deltaT]);
    
    % pause - you may need this
    pause(0.05); % pauses for 0.05 sec.
end